WordPress NextGEN Gallery Plugin “mode” cross-site scripting

CH azonosító

CH-3023

Felfedezés dátuma

2010.04.06.

Súlyosság

Alacsony

Érintett rendszerek

NextGEN Gallery plugin
WordPress

Érintett verziók

WordPress NextGEN Gallery plugin 1.X

Összefoglaló

A WordPress NextGEN Gallery Plugin olyan sérülékenysége vált ismertté, melyet kihasználva támadók cross-site scripting támadásokat tudnak végrehajtani.

Leírás

A WordPress NextGEN Gallery Plugin olyan sérülékenysége vált ismertté, melyet kihasználva támadók cross-site scripting támadásokat tudnak végrehajtani.

A wp-content/plugins/nextgen-gallery/xml/media-rss.php “mode” paraméterének átadott bemenet nincs megfelelően megtisztítva mielőtt visszakerül a felhasználóhoz. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének munkamenetében az érintett oldallal kapcsolatosan.

A sérülékenység az 1.5.0. és 1.5.1. verzióban található, egyéb verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra